org.apache.sysds.runtime.util

## Class UniformPRNGenerator

- java.lang.Object
- - org.apache.sysds.runtime.util.PRNGenerator
  - - org.apache.sysds.runtime.util.UniformPRNGenerator

    public class UniformPRNGenerator
    extends PRNGenerator

### Constructor Summary

Constructors
Constructor and Description
`UniformPRNGenerator()`
`UniformPRNGenerator(long seed)`

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `nextDouble()`
`void` `setSeed(long seed)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UniformPRNGenerator

    public UniformPRNGenerator()

#### UniformPRNGenerator

    public UniformPRNGenerator(long seed)

### Method Detail

#### setSeed

    public void setSeed(long seed)

Specified by:
  `setSeed` in class `PRNGenerator`

#### nextDouble

    public double nextDouble()

Specified by:
  `nextDouble` in class `PRNGenerator`